from OFS.Folder import Folder
from Persistence import Persistent
import Acquisition

class comm(Persistent):
    """a comment"""
    def __init__(self,id_photo,commt,user,place,date,ip,email):
        self.ip = ip
        self.id = id_photo
        self.commt = commt
        self.date = date
        self.user = user
        self.place = place
        self.email = email
        self._p_changed = 1
       
class comments(Persistent,Acquisition.Implicit):
    """the comment system"""
    def __init__(self):
        self.liste = []
    def add_new(self, id_photo,commt,user,place,date,ip,email):
        dict = comm(id_photo,commt,user,place,date,ip,email)
        l = self.liste
        l.append(dict)
        self.liste = l
#    def modify(self,id_photo,commt,user,place,date,ip,email):
#        
    def __repr__(self):
         return str(self.liste)
    def index(self, item):
         return self.liste.index(item)
    def __getitem__(self, i):
         return self.liste[i]
    def __setitem__(self, i, item):
        self.liste[i] = item
        self._p_changed = 1
    def remove(self, item):
        self.liste.remove(item)
        self._p_changed = 1
    def empty(self):
        "Say if the comment list is empty"
        if(len(self.liste)):
           return 1
        else:
           return 0
    def __len__(self): return len(self.liste)
    def __delitem__(self, i):
        del self.liste[i]
        self._p_changed = 1
