#!/usr/bin/env python

# Jean-Franois Roche (jfroche@jfroche.be)
#  ZPhotoSlides 0.6
#  GNU GPL
# 

from IMG_fileobj import FileObj
from IMG_img import Img
import os, sys
import dircache


def thumbnails(path,init_path,destination='/tmp/paula2',scale=200,prefix='tn_',dict={},double_name=0):
	prefix_size=len(prefix)
	fo = FileObj(path)
	#list_file = []
	for i in fo.getBiggerFileList():
		Im = Img(i[0])
#		print Im
		if(hasattr(Im,'im')): # if it's a valid image!
			if(Im.imgname[:prefix_size]!=prefix and Im.imgname[-3:]!='bak'):
# 				dont thumbnailize the thumbnails!!!
				oldname = Im.imgname
				Im.imgname = prefix + Im.imgname
				if(dict.has_key(Im.imgname) and double_name):#if file already in another directory we must rename it!
					if(dict.has_key('cpt__' + Im.imgname)):# cpt exist already?
						dict['cpt__' + Im.imgname ] = dict['cpt__' + Im.imgname] + 1
					else:
						# cpt dont exist yet for this file (first file with the same name)
						dict['cpt__' + Im.imgname] = 0
						filename,extension=os.path.splitext(Im.imgname)
						Im.imgname = filename + str(dict['cpt__' +Im.imgname]) + extension
				 
				dict[Im.imgname] = os.path.join(path,oldname)
				dict[Im.imgname] = dict[Im.imgname][len(init_path)+1:]
			#	print init_path
			#	print os.path.join(path,oldname)
			#	print len(destination)
			#	print dict[Im.imgname]
				dest = os.path.join(destination,Im.imgname)
				try:
					Im.thumbnailize(scale,prefix,dest)
				except:
					print "error in thumbnailizing %s" % Im.imgname
					for i in sys.exc_info(): print "%s" % (i)
	return dict


def recursive_thumbnails(path,init_path,destination,scale=200,prefix='tn_',dict={},double_name=1):
	dir = path
#		MakeThumbnails(path,outdir)
	dict = thumbnails(path,init_path,destination,scale,prefix,dict,double_name)
#	for file in list_file:
#		dict[file] = path
	list = os.listdir(dir)
	for elem in list:
		new_dir = os.path.join(dir,elem)
		if(os.path.isdir(new_dir) and os.access(new_dir,os.R_OK)):
#			print elem
			recursive_thumbnails(new_dir,init_path,destination,scale,prefix,dict,double_name)
	
	return dict

def thumbnails_manage(path,destination='/tmp',recursive=1,double_name=1,scale=200,prefix='tn_',dict={}):
	if(path[-1] == '\\' or path[-1] == '/'):
		path = path[:-1]
	if(recursive):
		dict = recursive_thumbnails(path,path,destination,scale,prefix,dict,double_name)
	else:
		dict = thumbnails(path,path,destination,scale,prefix,dict,0)
	for elem in dict.keys():
		if(elem[:5]=='cpt__'): # remove count keys
			del dict[elem]
		else:
			dict[elem] = dict[elem].replace('\\','/')
	return dict
	
if __name__ == '__main__':
#	MakeJPG(sys.argv[1])
#	
#	MakeThumbnails(sys.argv[1])
	dict = {}
#a=MakeThumbnails()
#	dict= recursive_thumbnails('/tmp/toPaula','/tmp/paula2')
	dict = thumbnails_manage('c:\Img','c:\Tmp',1,1,dict)
	print dict
